Name:           libevdev
Version:        1.8.0
Release:        2
Summary:        Library for handling evdev kernel devices
License:        GPLv2
URL:            http://www.freedesktop.org/wiki/Software/libevdev
Source0:        http://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz

Recommends:	%{name}-help = %{version}-%{release}
BuildRequires:  git-core automake libtool gcc python3 python3-devel

%description
Library for handling evdev kernel devices. It abstracts the ioctls
through type-safe interfaces and provides functions to change the
appearance of the device.

%package devel
Summary:        Development Package
Requires:       %{name} = %{version}-%{release}

%description devel
Development Package for %{name}.

%package utils
Summary:        Utilities Package
Requires:       %{name} = %{version}-%{release}

%description utils
Utilities to handle and/or debug evdev devices for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

pathfix.py -i %{__python3} -p -n $(git grep -l '#!/usr/bin/.*python.*')

%build
autoreconf -ivf
%configure --disable-silent-rules --disable-gcov

make %{?_smp_mflags}

%install
%make_install

%ldconfig_scriptlets

%files
%doc COPYING
%{_libdir}/libevdev.so.*
%exclude %{_libdir}/libevdev.a
%exclude %{_libdir}/libevdev.la

%files devel
%{_includedir}/libevdev-1.0/libevdev/libevdev.h
%{_includedir}/libevdev-1.0/libevdev/libevdev-uinput.h
%{_libdir}/libevdev.so
%{_libdir}/pkgconfig/libevdev.pc

%files utils
%{_bindir}/touchpad-edge-detector
%{_bindir}/mouse-dpi-tool
%{_bindir}/libevdev-tweak-device

%files help
%{_mandir}/man3/libevdev.3*

%changelog
* Wed Nov 11 2020 xinghe <xinghe1@huawei.com> - 1.8.0-2
- add help for Recommends

* Sat Aug 15 2020 xinghe <xinghe1@huawei.com> - 1.8.0-1
- update version to 1.8.0

* Tue Aug 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5.9-6
- Package init
